Subject: Re: Cygwin finally croaked
From: "George Hester" <[email-masked]>
To: [email-masked]
Date: Sun, 24 Oct 2004 19:59:40 -0400

"Larry Hall" <[email-masked]> wrote in message news:[email-masked]...
> At 06:02 PM 10/24/2004, you wrote:
> >"Larry Hall" <[email-masked]> wrote in message 
> 
> <http://cygwin.com/acronyms/#PCYMTNQREAIYR>
> 
> <snip>
> 
> >Ok I'll try to be a little clearer.  Recently when I double-click on the Cygwin icon on my Windows 2000 SP3 desktop the Cygwin console will come up then immediately disappear.  If I double-click it again it comes up and stays and I can do stuff with it.  Like whois which is all I ever do with it.
> 
> 
> Wow, you have allot of Cygwin stuff installed considering that you only
> want to use 'whois'.  That's not a problem though.  I was just 
> surprised to see the *long* list of packages given this statement.
> 

that's because I was using other stuff.  Just no longer.  Moved on to other things and just let it all be.

> 
> >After the whois I am noticing that the console stops receiving keyboard input.  I click the title bar minimize other open windows and it starts to receive keyboard input again.  And I can do ctrl-D which is what I want to do after whois.  Namely I want to logout.  This is the ONLY application I have installed in Windows 2000 that does this.  The ONLY one.
> >
> >If you need any more information other than what I provided that you think might help to trouble-shoot this issue please let me know what you suggest or need?  Thanks.
> 
> 
> I guess I need to see your 'cygwin.bat' contents and your invocation of 
> 'whois'.  So far, I see nothing wrong and I cannot reproduce your problems
> on this end.

Neither could I before this issue started.  In fact I never tried to get this behavior.  Just started happening
right out of the blue  I double-click it poof.  I double click it again fine.  Sometimes the console stops accepting
input.  Sometimes not.

> 
> 
> --
> Larry Hall                              http://www.rfk.com
> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> 838 Washington Street                   (508) 893-9889 - FAX
> Holliston, MA 01746                     
> 

cygwin.bat:
_______________
@echo off

C:
chdir C:\cygwin\bin
Set INCLUDE=C:\cygwin\lib\gcc-lib\i686-pc-mingw32\3.3.1\include;
Set CYGWIN=tty notitle glob
bash --login -i
_______________

Everything I am sending you is exactly as it is\was before this issue started.  I think
maybe you can see why I asked if there was a shelf-life.  For that's all I can think of at this point.

I mean I did update my Java Plug-in.  I may have added stuff to my classpath.  I put in a VRML plugin.  I changed my php directory from C:\PHP to C:\PHP4 and am using some extensions now.  In fact I've done lot's
of stuff but I know I didn't touch anything in C:\cygwin.

-- 
George Hester
__________________________________

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/